#!/bin/sh
#
# (c) 2000 Sun Microsystems, Inc.
#

#
# Interface script for the QS load_sensor command
#

QSI_MACHINE=hosti

# invariant values
myhost=$QSI_MACHINE
myarch=`rsh $QSI_MACHINE arch`

if [ $myarch = "i586" ]; then
   myarch=linux
fi


# ----------------------------------------
# send load value arch
#
load=`rsh $QSI_MACHINE uptime|tr ',' ' '| awk '{print $(NF - 2) ":" $(NF - 1) ":" $NF}'` 

# ----------------------------------------
# load values
#
load_short=`echo $load|cut -f1 -d:`
load_medium=`echo $load|cut -f2 -d:`
load_long=`echo $load|cut -f3 -d:`

echo $myhost $myarch $load_short $load_medium $load_long
