#!/bin/sh
#
# (c) 2000 Sun Microsystems, Inc.
#

#
# Interface script for the QS qdel command
#

# This script gets started by cod_qstd to kill a job 
# in the remote queueing system
#
# $1 = jobid 

out=/tmp/qstd_debug
date=`date`
touch $out
echo "$date Qdel called:" >> $out
echo "jobid:   $1" >> $out

if [ "x$CODINE_ROOT" = "x" ]; then
   CODINE_ROOT=/usr/CODINE
fi

ARC=`$CODINE_ROOT/util/arch`
QDEL=$CODINE_ROOT/bin/$ARC/qdel
unset COD_DEBUG_LEVEL

jobid=$1 

if [ ! -x $QDEL ]; then
   echo "$0: $QDEL is not executable" >> $out
   exit 1
fi
echo "starting $QDEL"
$QDEL $jobid
