#!/bin/sh
#
# (c) 2000 Sun Microsystems, Inc.
#

# interface script for the QS qsup command
#
# no argument
#
# 

# set PATH - better safe than sorry
PATH=/bin:/usr/bin:/usr/bsd:/usr/etc:$PATH
export PATH


# set host that we conect to via rsh
QSI_MACHINE=hosti

# we suppose that nqs is running on super1 as soon as
# it is up and reachable
ping -q -c1 $QSI_MACHINE | grep 100% 2>&1 > /dev/null
if [ $? = 1 ]; then
   echo "up"
else
   echo "down"
fi
exit 0
